Subject: Re: bug#21139: 25.0.50; shell-mode doesn't respect comint-scroll-to-bottom-on-output/input

From: Glenn Morris <[email-masked]>
Date: Wed, 12 Aug 2015 01:57:25 -0400

Eli Zaretskii wrote:

>   . M-x shell
>   . move point back to some place in the buffer other than the last
>     shell prompt
>   . type something
>
> When comint-scroll-to-bottom-on-input is non-nil, point moves to the
> last shell prompt before your input is inserted; when the variable is
> nil, whatever you type is inserted where point was, without moving it
> anywhere.

The latter behaviour makes no sense to me, as I already said, so I filed
my own report about that (not that I expect anything to result from it).